package cn.com.countrygarden.bi.main.service.manager.map;


import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.HouseKeeperDTO;
import cn.com.countrygarden.bi.main.dto.HouseKeeperDataVo;
import cn.com.countrygarden.bi.main.dto.HouseKeeperParamVo;
import cn.com.countrygarden.bi.main.dto.ManagerMapDTO;
import cn.com.countrygarden.bi.main.model.manager.map.*;

import java.util.List;

public interface ManagerMapService {
	

    Result findById(Integer id);
    
    Result findByOrgancode(FengHuangManagerData managerData, int page, int size);
    
    Result countHouseKeeper();

    Result getOrganTreeData(String userCode);

    Result addOrUpdateHouseKeeperById(FenghuangHouseKeeperCommunication houseKeeperCommunication,HouseKeeperDataVo vo);
    
    Result getHouseKeeperNameTree();
    
    Result getDevelopmentSubjectTree();
    
    Result getGardenDistrictTree();
    
    Result getAllCommNameTree(String userCode);
    
    Result exportList(HouseKeeperParamVo houseKeeperParamVo);

    Result queryByName(String s, String name);

    Result queryByPhoneNum(String s, String phone);



    List<ManagerMapDTO> findPageList(String organName) throws InterruptedException;

    List<ManagerMapDTO> findPageList1(String organName) throws InterruptedException;

    List<HouseKeeperDTO> getAllHKData(HouseKeeperParamVo houseKeeperParamVo);

    Result houseKeeperCount(List<String> projects);

    Result getCommTreeDataByOrgan(String organName,String userCode);


    Boolean handleHouserkeeperCache(List<ManagerHousekeeperCache> inserts,List<ManagerHousekeeperCache> updates,List<ManagerHousekeeperCache> caches);

    boolean handleManagerMapCache(List<ManagerMapCache> inserts,List<ManagerMapCache> updates);
}
